import {Profile} from "@/store";
import {Image, Text, View} from "@tarojs/components";
import styles from "@/pages/my/my.module.scss";
import avatar from "@/static/img/avatar.png"

const Header = () => {
  const {user} = Profile.useContainer()

  return (
    <View className={styles.header}>
      <View className='flex'>
        <Image src={avatar} className={styles.avatar}/>
        <View className='flex-1'>
          <View className='font-32 font-weight'>{user?.name}</View>
          <View className='login font-24 mt-2 text-secondary flex justify-between content-start'>
            <Text>手机号：{user?.phone_number}</Text>
          </View>
        </View>
      </View>
    </View>
  )
}

export default Header
